## org.apache.poi.hwpf.model
Class PieceDescriptor

    java.lang.Object
      org.apache.poi.hwpf.model.PieceDescriptor

    @Internal
    public final class PieceDescriptor

extends java.lang.Object

Constructor Summary
`PieceDescriptor(byte[] buf, int offset)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `getFilePosition()`
`PropertyModifier` `getPrm()`
`static int` `getSizeInBytes()`
`int` `hashCode()`
`boolean` `isUnicode()`
`void` `setFilePosition(int pos)`
`protected byte[]` `toByteArray()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PieceDescriptor

    public PieceDescriptor(byte[] buf,
                           int offset)

Method Detail

### getFilePosition

    public int getFilePosition()

### setFilePosition

    public void setFilePosition(int pos)

### isUnicode

    public boolean isUnicode()

### getPrm

    public PropertyModifier getPrm()

### toByteArray

    protected byte[] toByteArray()

### getSizeInBytes

    public static int getSizeInBytes()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.